
Infrastructure - Task #729

Story # 912 (Closed): Fix known TODOs in the metacat code base

Hard coded queries should be moved to .properties files

2010-08-02 21:48 - Chad Berkley

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2010.46   

Milestone:  Story Points:  

Product Version: *   

Description

Many internal metacat queries are run in CrudService.  Right now they are all hard coded.  These queries should be moved to a

.properties file.

History

#1 - 2010-10-06 16:42 - Chad Berkley

- Parent task set to #912

#2 - 2010-10-20 16:53 - Chad Berkley

- Status changed from New to Rejected

These queries involve setting parameters in arrays then sending them to the handler.  I don't see a case where these queries would change and it

would require many parameters in the properties file so I think they should just stay as they are.  If you disagree, please reopen this task with an

explanation.

#3 - 2010-10-20 18:04 - Chad Berkley

I take back what I said in the previous comment.  I was misinterpreting what this task meant.  This is now fixed in listObjects.

#4 - 2010-10-20 18:28 - Dave Vieglais

- Status changed from Rejected to Closed
